Bug 1089118 - Japanese fonts in ipag.ttf (ipa-gothic-fonts package) are not available in core X11 font system.
Summary: Japanese fonts in ipag.ttf (ipa-gothic-fonts package) are not available in co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-fonts
Version: 6.6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1075802 1159931
TreeView+ depends on / blocked
 
Reported: 2014-04-18 03:38 UTC by shimura
Modified: 2018-12-06 16:19 UTC (History)
3 users (show)

Fixed In Version: xorg-x11-fonts-7.2-11.el6
Doc Type: Bug Fix
Doc Text:
Due to a bug, the Japanese True Type fonts provided by the ipa-gothic-fonts package were not available through the core X11 font system. This update fixes the xorg-x11-fonts packages, which now correctly provide the required encodings.dir directory listings. As a result, the Japanese True Type fonts are now available in the core X11 font system as expected.
Clone Of:
Environment:
Last Closed: 2015-07-22 06:00:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1270 normal SHIPPED_LIVE xorg-x11-fonts bug fix update 2015-07-20 17:49:26 UTC

Comment 2 Akira TAGOH 2014-04-21 07:04:10 UTC
This is surely a bug in xorg-x11-fonts. it has been fixed in Fedora by:

commit e8d0f9f485d1929a8a5d23a494f7ca1079918275
Author: Adam Jackson <ajax@fedoraproject.org>
Date:   Fri Dec 8 18:44:33 2006 +0000

    - Create encodings.dir containing entries for both
        %{_datadir}/X11/fonts/encodings and
        %{_datadir}/X11/fonts/encodings/large (#209102).

http://pkgs.fedoraproject.org/cgit/xorg-x11-fonts.git/commit/?id=e8d0f9f485d1929a8a5d23a494f7ca1079918275

need to backport it for rhel6.

Comment 5 Peter Hutterer 2015-01-09 03:39:53 UTC
MODIFIED

xorg-x11-fonts-7.2-11.el6 is available in brew

Comment 10 errata-xmlrpc 2015-07-22 06:00:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1270.html


Note You need to log in before you can comment on or make changes to this bug.